Commit b87a029a authored by Christophe Giboudeaux's avatar Christophe Giboudeaux
Browse files

Replace the find_package(KF5...) calls.

KF5Config.cmake redefines KF5_VERSION. That becomes troublesome if you use this var to find your dependencies.
parent 9233dc46
......@@ -26,9 +26,11 @@ ecm_setup_version(${KF5_VERSION} VARIABLE_PREFIX KPIMIDENTITIES
)
########### Find packages ###########
find_package(KF5 ${KF5_VERSION} CONFIG REQUIRED COMPONENTS CoreAddons KDE4Support KIO)
find_package(KF5CoreAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KDE4Support ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
if(${CMAKE_SOURCE_DIR} STREQUAL ${KPimIdentities_SOURCE_DIR})
if("${CMAKE_SOURCE_DIR}" STREQUAL "${KPimIdentities_SOURCE_DIR}")
find_package(KF5PimTextEdit ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5PimUtils ${KF5_VERSION} CONFIG REQUIRED)
endif()
......
include(ECMMarkAsTest)
set(QT_REQUIRED_VERSION "5.2.0")
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS Test)
find_package(Qt5Test ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
########### next target ###############
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment